com.vuze.plugins.mlab.tools.ndt.swingemu

## Class Component

- java.lang.Object
- - com.vuze.plugins.mlab.tools.ndt.swingemu.Component

- Direct Known Subclasses:
    JButton, JCheckBox, JComboBox, JFrame, JLabel, JPanel, JProgressBar, JScrollPane, JSpinner, JTextArea, JTextPane, Panel

      public class Component
      extends Object

  Base class for Swing component emulation in the NDT (Network Diagnostic Tool) plugin.

  This class provides a minimal stub implementation of Swing components to allow the NDT tool to run in headless environments without requiring actual GUI components. All methods are no-ops that do nothing, providing compatibility without functionality.

  This emulation layer enables the NDT network testing functionality to be integrated into I2P applications that don't have graphical user interfaces.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Component()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Component c)`
    `void` | `add(int i, Component c)`
    `void` | `add(String str, Component c)`
    `void` | `addMouseListener(MouseAdapter l)`
    `void` | `addWindowListener(WindowAdapter l)`
    `Toolkit` | `getToolkit()`
    `void` | `pack()`
    `void` | `repaint()`
    `void` | `setBorder(Component c)`
    `void` | `setCursor(Cursor c)`
    `void` | `setEditable(boolean b)`
    `void` | `setEnabled(boolean b)`
    `void` | `setForeground(Color c)`
    `void` | `setLayout(BorderLayout l)`
    `void` | `setLayout(BoxLayout l)`
    `void` | `setPreferredSize(Dimension d)`
    `void` | `setResizable(boolean b)`
    `void` | `setSize(int i, int j)`
    `void` | `setTitle(String s)`
    `void` | `setVisible(boolean b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Component

          public Component()

  - ### Method Detail

    - #### add

          public void add(Component c)

    - #### add

          public void add(int i,
                          Component c)

    - #### add

          public void add(String str,
                          Component c)

    - #### addMouseListener

          public void addMouseListener(MouseAdapter l)

    - #### addWindowListener

          public void addWindowListener(WindowAdapter l)

    - #### getToolkit

          public Toolkit getToolkit()

    - #### pack

          public void pack()

    - #### repaint

          public void repaint()

    - #### setBorder

          public void setBorder(Component c)

    - #### setCursor

          public void setCursor(Cursor c)

    - #### setEditable

          public void setEditable(boolean b)

    - #### setEnabled

          public void setEnabled(boolean b)

    - #### setForeground

          public void setForeground(Color c)

    - #### setLayout

          public void setLayout(BorderLayout l)

    - #### setLayout

          public void setLayout(BoxLayout l)

    - #### setPreferredSize

          public void setPreferredSize(Dimension d)

    - #### setResizable

          public void setResizable(boolean b)

    - #### setSize

          public void setSize(int i,
                              int j)

    - #### setTitle

          public void setTitle(String s)

    - #### setVisible

          public void setVisible(boolean b)